View Issue Details

IDProjectCategoryView StatusLast Update
0000245CaseTalk ModelerImport and Exportpublic2013-04-08 12:33
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version7.1.1 
Target Version7.2.1Fixed in Version7.2.1 
Summary0000245: UML Class absent sometimes
DescriptionA model with a single fact with two roles generates the domains, but no class.
Steps To Reproduce"John lives in New York"
<Person> lives in <City>

Does generate domains 'Person' and 'City'; but not 'CityOfResidence'.
Additional InformationThe CaseTalk Viewer works correct, it's just the repository window does not show the uml class, and therefor the export in uml does not work either.
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2013-04-08 12:10

administrator   ~0000154

The issue repeats itself in the Viewer. Simple unconnected facts are not displayed as Classes.
BCP Software

BCP Software

2013-04-08 12:33

administrator   ~0000155

Facts with 1 or 2 roles played by a label type are now considered a class.

Issue History

Date Modified Username Field Change
2013-04-03 12:23 BCP Software New Issue
2013-04-03 12:23 BCP Software Status new => assigned
2013-04-03 12:23 BCP Software Assigned To => BCP Software
2013-04-08 12:10 BCP Software Note Added: 0000154
2013-04-08 12:33 BCP Software Note Added: 0000155
2013-04-08 12:33 BCP Software Status assigned => resolved
2013-04-08 12:33 BCP Software Fixed in Version => 7.2.1
2013-04-08 12:33 BCP Software Resolution open => fixed
2016-01-20 12:58 BCP Software Category Import/Export => Import and Export